# binaryninja.platform.Platform

class `binaryninja.platform.``Platform`(arch, handle=None)

  `class Platform` contains all information releated to the execution environment of the binary, mainly the calling conventions used.

  `__init__`(arch, handle=None)

  Methods

  `__init__`(arch[, handle]) |
  `add_related_platform`(arch, platform) |
  `generate_auto_platform_type_id`(name) |
  `generate_auto_platform_type_ref`(type_class, name) |
  `get_associated_platform_by_address`(addr) |
  `get_auto_platform_type_id_source`() |
  `get_function_by_name`(name) |
  `get_related_platform`(arch) |
  `get_system_call_name`(number) |
  `get_system_call_type`(number) |
  `get_type_by_name`(name) |
  `get_variable_by_name`(name) |
  `parse_types_from_source`(source[, filename, ...]) | `parse_types_from_source` parses the source string and any needed headers searching for them in
  `parse_types_from_source_file`(filename[, ...]) | `parse_types_from_source_file` parses the source file `filename` and any needed headers searching for them in
  `register`(os) | `register` registers the platform for given OS name.
  `register_calling_convention`(cc) | `register_calling_convention` register a new calling convention.

  Attributes

  `calling_conventions` | List of platform CallingConvention objects (read-only)
  `cdecl_calling_convention` | Cdecl calling convention.
  `default_calling_convention` | Default calling convention.
  `fastcall_calling_convention` | Fastcall calling convention.
  `functions` | List of platform-specific function definitions (read-only)
  `list` |
  `name` |
  `stdcall_calling_convention` | Stdcall calling convention.
  `system_call_convention` | System call convention.
  `system_calls` | List of system calls for this platform (read-only)
  `types` | List of platform-specific types (read-only)
  `variables` | List of platform-specific variable definitions (read-only)